Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillGenericElement

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElement
          net.sf.jasperreports.engine.fill.JRFillGenericElement

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRGenericElement, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRVisitable

    public class JRFillGenericElement

extends JRFillElement
implements JRGenericElement

A `JRGenericElement` used during report fill.

Version:
  $Id: JRFillGenericElement.java 3505 2010-03-04 14:08:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, elementGroup, expressionEvaluator, filler, initStyle, mergedProperties, originProvider, parent, printWhenGroupChanges, staticProperties, templates`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Constructor Summary
`JRFillGenericElement(JRBaseFiller filler, JRGenericElement element, JRFillObjectFactory factory)`
`JRFillGenericElement(JRFillGenericElement element, JRFillCloneFactory factory)`

Method Summary
`protected void` | `collectDelayedEvaluations()`
`void` | `collectExpressions(JRExpressionCollector collector)`
`protected void` | `copy(JRGenericPrintElement printElement)`
`protected void` | `copyBasicAttributes(JRGenericPrintElement printElement)`
`JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
`protected JRTemplateElement` | `createElementTemplate()`
`protected void` | `evaluate(byte evaluation)`
`protected void` | `evaluateElement(byte evaluation)`
`protected JRPrintElement` | `fill()`
`java.lang.String` | `getEvaluationGroupName()` Returns the name of the evaluation group for this element.
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()` Returns the evaluation time of this element.
`JRGenericElementType` | `getGenericType()` Returns the generic type of this element.
`JRGenericElementParameter[]` | `getParameters()` Returns the list of parameters of this element.
`protected JRTemplateGenericElement` | `getTemplate()`
`protected boolean` | `prepare(int availableHeight, boolean isOverflow)`
`protected void` | `resolveElement(JRPrintElement element, byte evaluation)` Resolves an element.
`protected void` | `rewind()`
`void` | `visit(JRVisitor visitor)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`addDependantElement, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, delayedEvaluate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, getBackcolor, getBand, getDefaultStyleProvider, getDependantElements, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getField, getForecolor, getGroupElements, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getVariable, getWidth, getX, getY, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setForecolor, setHeight, setMode, setMode, setMode, setOriginProvider, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchHeightFinal, transferProperties, transferProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Constructor Detail

### JRFillGenericElement

    public JRFillGenericElement(JRBaseFiller filler,
                                JRGenericElement element,
                                JRFillObjectFactory factory)

### JRFillGenericElement

    public JRFillGenericElement(JRFillGenericElement element,
                                JRFillCloneFactory factory)

Method Detail

### evaluate

    protected void evaluate(byte evaluation)
                     throws JRException

  Specified by:
    `evaluate` in class `JRFillElement`
  Throws:
    `JRException`

### collectDelayedEvaluations

    protected void collectDelayedEvaluations()

  Overrides:
    `collectDelayedEvaluations` in class `JRFillElement`

### evaluateElement

    protected void evaluateElement(byte evaluation)
                            throws JRException

  Throws:
    `JRException`

### prepare

    protected boolean prepare(int availableHeight,
                              boolean isOverflow)
                       throws JRException

  Overrides:
    `prepare` in class `JRFillElement`
  Throws:
    `JRException`

### fill

    protected JRPrintElement fill()
                           throws JRException

  Specified by:
    `fill` in class `JRFillElement`
  Throws:
    `JRException`

### copyBasicAttributes

    protected void copyBasicAttributes(JRGenericPrintElement printElement)

### getTemplate

    protected JRTemplateGenericElement getTemplate()

### createElementTemplate

    protected JRTemplateElement createElementTemplate()

  Specified by:
    `createElementTemplate` in class `JRFillElement`

### copy

    protected void copy(JRGenericPrintElement printElement)

### resolveElement

    protected void resolveElement(JRPrintElement element,
                                  byte evaluation)
                           throws JRException

  Description copied from class: `JRFillElement`
  Resolves an element.

  Specified by:
    `resolveElement` in class `JRFillElement`
  Parameters:
    `element` - the element
    `evaluation` - the evaluation type
  Throws:
    `JRException`

### rewind

    protected void rewind()
                   throws JRException

  Specified by:
    `rewind` in class `JRFillElement`
  Throws:
    `JRException`

### getGenericType

    public JRGenericElementType getGenericType()

  Description copied from interface: `JRGenericElement`
  Returns the generic type of this element. This type will be propagated to the generated print element, and used to resolve export handler for the print element.

  Specified by:
    `getGenericType` in interface `JRGenericElement`
  Returns:
    the generic type of this element

### getParameters

    public JRGenericElementParameter[] getParameters()

  Description copied from interface: `JRGenericElement`
  Returns the list of parameters of this element.

  Specified by:
    `getParameters` in interface `JRGenericElement`
  Returns:
    the list of parameters

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElement`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### createClone

    public JRFillCloneable createClone(JRFillCloneFactory factory)

  Description copied from interface: `JRFillCloneable`
  Creates a working clone of itself.

  Specified by:
    `createClone` in interface `JRFillCloneable`
  Parameters:
    `factory` - the clone factory to use while creating the clone
  Returns:
    a working clone of itself

### getEvaluationTime

    public byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

  Specified by:
    `getEvaluationTime` in interface `JRGenericElement`

### getEvaluationTimeValue

    public EvaluationTimeEnum getEvaluationTimeValue()

  Description copied from interface: `JRGenericElement`
  Returns the evaluation time of this element.

  The evaluation time determines the moment at which parameter expressions are evaluated for this element. All parameters will be evaluated at the same moment.

  Specified by:
    `getEvaluationTimeValue` in interface `JRGenericElement`
  Overrides:
    `getEvaluationTimeValue` in class `JRFillElement`
  Returns:
    the evaluation time of this element

### getEvaluationGroupName

    public java.lang.String getEvaluationGroupName()

  Description copied from interface: `JRGenericElement`
  Returns the name of the evaluation group for this element. The evaluation group is only present when `the evaluation time` is `JRExpression.EVALUATION_TIME_GROUP`.

  Specified by:
    `getEvaluationGroupName` in interface `JRGenericElement`
  Returns:
    the name of the evaluation group for this element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com